プロダクト
GET/v1/workspaces/{workspaceId}/products
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
format: "uuid"
workspace_idstring必須
format: "uuid"
namestring必須
slugstring必須
kindstring必須
enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null必須
domainsarray必須
各項目string
descriptionstring必須
contextobject必須
追加プロパティ任意の値
brandobject必須
company_namestring
maxLength: 160
logo_urlstring
アイコン: マーク単体。小さな表示(メールのフッター、スライドインフォーム)や、ワードマークがない場合のヘッダーに使います。
maxLength: 2000
wordmark_urlstring
ワードマーク: デザインされた会社名。各メールの上部に単独で表示します。
maxLength: 2000
website_urlstring
maxLength: 2000
primary_colorstring
maxLength: 7
accent_colorstring
maxLength: 7
background_colorstring
maxLength: 7
surface_colorstring
maxLength: 7
text_colorstring
maxLength: 7
muted_text_colorstring
maxLength: 7
heading_font_familystring
maxLength: 200
body_font_familystring
maxLength: 200
tonestring
maxLength: 1000
footer_addressstring
maxLength: 500
email_stylestring
maxLength: 20
statusstring必須
deleting: 人による削除。delete_afterまでは復元でき、その後完全に削除されます。
enum: "active", "archived", "deleting"
delete_afterstring | null
deleting状態のプロダクトが完全に削除される日時。
format: "date-time"
is_defaultboolean必須
route_readyboolean必須
setuparray必須
各項目object
keystring必須
enum: "context", "domain", "mailboxes", "journeys", "broadcasts", "compliance"
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring | null必須
enum: "system", "person", "agent", null
notestring必須
updated_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/products
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring必須
minLength: 1 · maxLength: 160
kindstring
default: "product" · enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null
maxLength: 2000
descriptionstring
maxLength: 4000
contextobject
追加プロパティ任意の値
domainsarray
maxItems: 20
各項目string
maxLength: 253
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
workspace_idstring必須
format: "uuid"
namestring必須
slugstring必須
kindstring必須
enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null必須
domainsarray必須
各項目string
descriptionstring必須
contextobject必須
追加プロパティ任意の値
brandobject必須
company_namestring
maxLength: 160
logo_urlstring
アイコン: マーク単体。小さな表示(メールのフッター、スライドインフォーム)や、ワードマークがない場合のヘッダーに使います。
maxLength: 2000
wordmark_urlstring
ワードマーク: デザインされた会社名。各メールの上部に単独で表示します。
maxLength: 2000
website_urlstring
maxLength: 2000
primary_colorstring
maxLength: 7
accent_colorstring
maxLength: 7
background_colorstring
maxLength: 7
surface_colorstring
maxLength: 7
text_colorstring
maxLength: 7
muted_text_colorstring
maxLength: 7
heading_font_familystring
maxLength: 200
body_font_familystring
maxLength: 200
tonestring
maxLength: 1000
footer_addressstring
maxLength: 500
email_stylestring
maxLength: 20
statusstring必須
deleting: 人による削除。delete_afterまでは復元でき、その後完全に削除されます。
enum: "active", "archived", "deleting"
delete_afterstring | null
deleting状態のプロダクトが完全に削除される日時。
format: "date-time"
is_defaultboolean必須
route_readyboolean必須
setuparray必須
各項目object
keystring必須
enum: "context", "domain", "mailboxes", "journeys", "broadcasts", "compliance"
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring | null必須
enum: "system", "person", "agent", null
notestring必須
updated_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"kind": "product",
"website_url": "example",
"description": "example",
"context": {},
"domains": [
"example"
]
}'
GET/v1/workspaces/{workspaceId}/products/{productId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
workspace_idstring必須
format: "uuid"
namestring必須
slugstring必須
kindstring必須
enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null必須
domainsarray必須
各項目string
descriptionstring必須
contextobject必須
追加プロパティ任意の値
brandobject必須
company_namestring
maxLength: 160
logo_urlstring
アイコン: マーク単体。小さな表示(メールのフッター、スライドインフォーム)や、ワードマークがない場合のヘッダーに使います。
maxLength: 2000
wordmark_urlstring
ワードマーク: デザインされた会社名。各メールの上部に単独で表示します。
maxLength: 2000
website_urlstring
maxLength: 2000
primary_colorstring
maxLength: 7
accent_colorstring
maxLength: 7
background_colorstring
maxLength: 7
surface_colorstring
maxLength: 7
text_colorstring
maxLength: 7
muted_text_colorstring
maxLength: 7
heading_font_familystring
maxLength: 200
body_font_familystring
maxLength: 200
tonestring
maxLength: 1000
footer_addressstring
maxLength: 500
email_stylestring
maxLength: 20
statusstring必須
deleting: 人による削除。delete_afterまでは復元でき、その後完全に削除されます。
enum: "active", "archived", "deleting"
delete_afterstring | null
deleting状態のプロダクトが完全に削除される日時。
format: "date-time"
is_defaultboolean必須
route_readyboolean必須
setuparray必須
各項目object
keystring必須
enum: "context", "domain", "mailboxes", "journeys", "broadcasts", "compliance"
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring | null必須
enum: "system", "person", "agent", null
notestring必須
updated_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
PATCH/v1/workspaces/{workspaceId}/products/{productId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring
maxLength: 160
kindstring
enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null
maxLength: 2000
descriptionstring
maxLength: 4000
contextobject
追加プロパティ任意の値
brandobject
company_namestring
maxLength: 160
logo_urlstring
アイコン: マーク単体。小さな表示(メールのフッター、スライドインフォーム)や、ワードマークがない場合のヘッダーに使います。
maxLength: 2000
wordmark_urlstring
ワードマーク: デザインされた会社名。各メールの上部に単独で表示します。
maxLength: 2000
website_urlstring
maxLength: 2000
primary_colorstring
maxLength: 7
accent_colorstring
maxLength: 7
background_colorstring
maxLength: 7
surface_colorstring
maxLength: 7
text_colorstring
maxLength: 7
muted_text_colorstring
maxLength: 7
heading_font_familystring
maxLength: 200
body_font_familystring
maxLength: 200
tonestring
maxLength: 1000
footer_addressstring
maxLength: 500
email_stylestring
maxLength: 20
statusstring
enum: "active", "archived"
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
workspace_idstring必須
format: "uuid"
namestring必須
slugstring必須
kindstring必須
enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null必須
domainsarray必須
各項目string
descriptionstring必須
contextobject必須
追加プロパティ任意の値
brandobject必須
company_namestring
maxLength: 160
logo_urlstring
アイコン: マーク単体。小さな表示(メールのフッター、スライドインフォーム)や、ワードマークがない場合のヘッダーに使います。
maxLength: 2000
wordmark_urlstring
ワードマーク: デザインされた会社名。各メールの上部に単独で表示します。
maxLength: 2000
website_urlstring
maxLength: 2000
primary_colorstring
maxLength: 7
accent_colorstring
maxLength: 7
background_colorstring
maxLength: 7
surface_colorstring
maxLength: 7
text_colorstring
maxLength: 7
muted_text_colorstring
maxLength: 7
heading_font_familystring
maxLength: 200
body_font_familystring
maxLength: 200
tonestring
maxLength: 1000
footer_addressstring
maxLength: 500
email_stylestring
maxLength: 20
statusstring必須
deleting: 人による削除。delete_afterまでは復元でき、その後完全に削除されます。
enum: "active", "archived", "deleting"
delete_afterstring | null
deleting状態のプロダクトが完全に削除される日時。
format: "date-time"
is_defaultboolean必須
route_readyboolean必須
setuparray必須
各項目object
keystring必須
enum: "context", "domain", "mailboxes", "journeys", "broadcasts", "compliance"
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring | null必須
enum: "system", "person", "agent", null
notestring必須
updated_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request PATCH --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"kind": "product",
"website_url": "example",
"description": "example",
"context": {},
"brand": {
"company_name": "example",
"logo_url": "example",
"wordmark_url": "example",
"website_url": "example",
"primary_color": "example",
"accent_color": "example",
"background_color": "example",
"surface_color": "example",
"text_color": "example",
"muted_text_color": "example",
"heading_font_family": "example",
"body_font_family": "example",
"tone": "example",
"footer_address": "example",
"email_style": "example"
},
"status": "active"
}'
DELETE/v1/workspaces/{workspaceId}/products/{productId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 202
プロダクトは利用停止中で、事前に復元しなければdelete_afterに完全削除されます。冪等な再実行では同じ結果を返します。
application/json
curlの例
curl --request DELETE --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Idempotency-Key: examplexxxxxxxxx' \
--header 'Content-Type: application/json' \
--data-raw '{
"confirm_name": "example",
"preview_token": "examplexxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
}'
GET/v1/workspaces/{workspaceId}/products/{productId}/deletion-preview
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
プロダクトの削除で削除・停止されるもの。
application/json
valueobject
dataobject必須
productobject必須
idstring必須
format: "uuid"
namestring必須
is_defaultboolean必須
next_default_product未指定必須
既定プロダクトの削除時にワークスペースの既定となるプロダクト。
oneOf 1null
oneOf 2object
idstring必須
format: "uuid"
namestring必須
last_productboolean必須
唯一の有効なプロダクトは削除できません。
mailboxesarray必須
各項目object
idstring必須
format: "uuid"
addressstring必須
domainsarray必須
復元期間終了後にBangerが削除する送信ドメイン。
各項目object
idstring必須
format: "uuid"
domainstring必須
journeysinteger必須
broadcastsinteger必須
signup_formsinteger必須
contactsinteger必須
api_keysinteger必須
webhooksinteger必須
pending_sendsinteger必須
impactarray必須
各項目string
preview_tokenstring必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}/deletion-preview' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/products/{productId}/restore
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
プロダクトが再び有効になりました。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
namestring必須
statusstring必須
enum: "active"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}/restore' \
--header "Authorization: Bearer $BANGER_API_KEY"
PUT/v1/workspaces/{workspaceId}/products/{productId}/setup/{key}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring
default: "person" · enum: "system", "person", "agent"
notestring
maxLength: 1000
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
keystring必須
enum: "context", "domain", "mailboxes", "journeys", "broadcasts", "compliance"
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring | null必須
enum: "system", "person", "agent", null
notestring必須
updated_atstring | null必須
format: "date-time"
curlの例
curl --request PUT --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}/setup/{key}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"status": "todo",
"completion_source": "person",
"note": "example"
}'
POST/v1/workspaces/{workspaceId}/products/{productId}/domains
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
workspace_idstring必須
format: "uuid"
namestring必須
slugstring必須
kindstring必須
enum: "product", "store", "brand", "newsletter", "company", "other"
website_urlstring | null必須
domainsarray必須
各項目string
descriptionstring必須
contextobject必須
追加プロパティ任意の値
brandobject必須
company_namestring
maxLength: 160
logo_urlstring
アイコン: マーク単体。小さな表示(メールのフッター、スライドインフォーム)や、ワードマークがない場合のヘッダーに使います。
maxLength: 2000
wordmark_urlstring
ワードマーク: デザインされた会社名。各メールの上部に単独で表示します。
maxLength: 2000
website_urlstring
maxLength: 2000
primary_colorstring
maxLength: 7
accent_colorstring
maxLength: 7
background_colorstring
maxLength: 7
surface_colorstring
maxLength: 7
text_colorstring
maxLength: 7
muted_text_colorstring
maxLength: 7
heading_font_familystring
maxLength: 200
body_font_familystring
maxLength: 200
tonestring
maxLength: 1000
footer_addressstring
maxLength: 500
email_stylestring
maxLength: 20
statusstring必須
deleting: 人による削除。delete_afterまでは復元でき、その後完全に削除されます。
enum: "active", "archived", "deleting"
delete_afterstring | null
deleting状態のプロダクトが完全に削除される日時。
format: "date-time"
is_defaultboolean必須
route_readyboolean必須
setuparray必須
各項目object
keystring必須
enum: "context", "domain", "mailboxes", "journeys", "broadcasts", "compliance"
statusstring必須
enum: "todo", "in_progress", "complete", "not_relevant"
completion_sourcestring | null必須
enum: "system", "person", "agent", null
notestring必須
updated_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/products/{productId}/domains' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"domain": "example"
}'
下書き
GET/v1/workspaces/{workspaceId}/drafts
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
format: "uuid"
mailbox_idstring必須
format: "uuid"
thread_idstring | null必須
format: "uuid"
versioninteger必須
toarray必須
各項目object
emailstring必須
namestring
ccarray必須
各項目object
emailstring必須
namestring
bccarray必須
各項目object
emailstring必須
namestring
subjectstring必須
body_textstring必須
statusstring必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
attachmentsarray必須
各項目object
idstring必須
format: "uuid"
filenamestring必須
content_typestring必須
size_bytesinteger必須
sha256string
created_atstring
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts?mailbox_id=00000000-0000-4000-8000-000000000001' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/drafts
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
mailbox_idstring必須
format: "uuid"
thread_idstring
format: "uuid"
toarray
maxItems: 500
各項目object
namestring
emailstring必須
format: "email"
ccarray
maxItems: 500
各項目object
namestring
emailstring必須
format: "email"
bccarray
maxItems: 500
各項目object
namestring
emailstring必須
format: "email"
subjectstring
maxLength: 10000
body_textstring
maxLength: 2000000
body_htmlstring
maxLength: 2000000
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
mailbox_idstring必須
format: "uuid"
thread_idstring | null必須
format: "uuid"
versioninteger必須
toarray必須
各項目object
emailstring必須
namestring
ccarray必須
各項目object
emailstring必須
namestring
bccarray必須
各項目object
emailstring必須
namestring
subjectstring必須
body_textstring必須
statusstring必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
attachmentsarray必須
各項目object
idstring必須
format: "uuid"
filenamestring必須
content_typestring必須
size_bytesinteger必須
sha256string
created_atstring
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"thread_id": "00000000-0000-4000-8000-000000000001",
"to": [
{
"name": "example",
"email": "person@example.com"
}
],
"cc": [
{
"name": "example",
"email": "person@example.com"
}
],
"bcc": [
{
"name": "example",
"email": "person@example.com"
}
],
"subject": "example",
"body_text": "example",
"body_html": "example"
}'
GET/v1/workspaces/{workspaceId}/drafts/{draftId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
正規の到達率実績、健全性、インシデント。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
mailbox_idstring必須
format: "uuid"
thread_idstring | null必須
format: "uuid"
versioninteger必須
toarray必須
各項目object
emailstring必須
namestring
ccarray必須
各項目object
emailstring必須
namestring
bccarray必須
各項目object
emailstring必須
namestring
subjectstring必須
body_textstring必須
statusstring必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
attachmentsarray必須
各項目object
idstring必須
format: "uuid"
filenamestring必須
content_typestring必須
size_bytesinteger必須
sha256string
created_atstring
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
PUT/v1/workspaces/{workspaceId}/drafts/{draftId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
value未指定
allOf 1object
追加プロパティなし
mailbox_idstring必須
format: "uuid"
thread_idstring
format: "uuid"
toarray
maxItems: 500
各項目object
namestring
emailstring必須
format: "email"
ccarray
maxItems: 500
各項目object
namestring
emailstring必須
format: "email"
bccarray
maxItems: 500
各項目object
namestring
emailstring必須
format: "email"
subjectstring
maxLength: 10000
body_textstring
maxLength: 2000000
body_htmlstring
maxLength: 2000000
allOf 2object
versioninteger必須
minimum: 1
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
mailbox_idstring必須
format: "uuid"
thread_idstring | null必須
format: "uuid"
versioninteger必須
toarray必須
各項目object
emailstring必須
namestring
ccarray必須
各項目object
emailstring必須
namestring
bccarray必須
各項目object
emailstring必須
namestring
subjectstring必須
body_textstring必須
statusstring必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
attachmentsarray必須
各項目object
idstring必須
format: "uuid"
filenamestring必須
content_typestring必須
size_bytesinteger必須
sha256string
created_atstring
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request PUT --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"thread_id": "00000000-0000-4000-8000-000000000001",
"to": [
{
"name": "example",
"email": "person@example.com"
}
],
"cc": [
{
"name": "example",
"email": "person@example.com"
}
],
"bcc": [
{
"name": "example",
"email": "person@example.com"
}
],
"subject": "example",
"body_text": "example",
"body_html": "example",
"version": 1
}'
DELETE/v1/workspaces/{workspaceId}/drafts/{draftId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 204
下書きと参照オブジェクトは削除予定です。
レスポンス本文なし。
curlの例
curl --request DELETE --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/drafts/{draftId}/send
呼び出し元がアクセスできるメールボックスから下書きを送信します。送信に承認が必要な呼び出し元には、代わりに承認待ちを返します。下書きを直接送信できる人が判断します。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 202
送信はキュー内、または承認待ちです。
application/json
valueobject
data未指定必須
oneOf 1object
idstring必須
format: "uuid"
typestring必須
statusstring必須
enum: "accepted", "executing", "succeeded", "failed"
workspace_revisioninteger必須
format: "int64"
created_atstring必須
format: "date-time"
oneOf 2object
追加プロパティなし
approvalobject必須
idstring必須
format: "uuid"
requested_by_actor_idstring必須
action_kindstring必須
summarystring必須
capability_scopesarray必須
各項目string
resource_scopeobject必須
追加プロパティarray
各項目string
さらに深い入れ子は省略
payloadobject必須
追加プロパティ任意の値
payload_sha256string必須
pattern: "^[0-9a-f]{64}$"
statusstring必須
enum: "pending", "approved", "rejected", "cancelled", "expired"
missedboolean必須
expires_atstring必須
format: "date-time"
decided_by_actor_idstring | null
decision_reasonstring | null
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
decided_atstring | null
format: "date-time"
execution_job_idstring
format: "uuid"
reviewobject
追加プロパティなし
dispositionstring必須
enum: "automatic", "human_required"
recipient_countinteger | null必須
minimum: 0
reasonsarray必須
各項目string
さらに深い入れ子は省略
checksarray必須
各項目string
さらに深い入れ子は省略
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}/send' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Idempotency-Key: examplexxxxxxxxx'
POST/v1/workspaces/{workspaceId}/drafts/{draftId}/attachments
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/octet-stream
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
filenamestring必須
content_typestring必須
size_bytesinteger必須
sha256string
created_atstring
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}/attachments' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Filename: example' \
--header 'Content-Type: application/octet-stream' \
--data-binary @request-body
DELETE/v1/workspaces/{workspaceId}/drafts/{draftId}/attachments/{attachmentId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 204
添付ファイルはバージョンを考慮したB2削除の予定に入っています。
レスポンス本文なし。
curlの例
curl --request DELETE --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}/attachments/{attachmentId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
GET/v1/workspaces/{workspaceId}/drafts/{draftId}/html
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
下書きのHTML。
text/html
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/drafts/{draftId}/html' \
--header "Authorization: Bearer $BANGER_API_KEY"
GET/v1/workspaces/{workspaceId}/contacts
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
format: "uuid"
emailstring必須
format: "email"
display_namestring | null必須
attributesobject必須
追加プロパティ任意の値
statusstring必須
enum: "subscribed", "unsubscribed", "bounced", "complained"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
pageobject必須
next_cursorstring
has_moreboolean必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts?cursor=example&limit=50&q=example' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/contacts
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
emailstring必須
format: "email"
display_namestring | null必須
attributesobject必須
追加プロパティ任意の値
statusstring必須
enum: "subscribed", "unsubscribed", "bounced", "complained"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"email": "person@example.com",
"display_name": "example",
"status": "subscribed",
"attributes": {},
"consent_confirmed": true
}'
GET/v1/workspaces/{workspaceId}/contacts/{contactId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
emailstring必須
format: "email"
display_namestring | null必須
attributesobject必須
追加プロパティ任意の値
statusstring必須
enum: "subscribed", "unsubscribed", "bounced", "complained"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
suppressedboolean必須
suppression_reasonstring | null必須
sourcesarray必須
各項目object
kindstring必須
referencestring必須
connection_idstring | null必須
format: "uuid"
metadataobject必須
追加プロパティ任意の値
first_seen_atstring必須
format: "date-time"
last_seen_atstring必須
format: "date-time"
listsarray必須
各項目object
idstring必須
format: "uuid"
namestring必須
subscription_statusstring必須
consent_evidencearray必須
各項目object
kindstring必須
referencestring必須
connection_idstring | null必須
format: "uuid"
metadataobject必須
追加プロパティ任意の値
first_seen_atstring必須
format: "date-time"
last_seen_atstring必須
format: "date-time"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/{contactId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
DELETE/v1/workspaces/{workspaceId}/contacts/{contactId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 204
連絡先を削除しました。
レスポンス本文なし。
curlの例
curl --request DELETE --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/{contactId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
GET/v1/workspaces/{workspaceId}/contacts/imports
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring
format: "uuid"
filenamestring
list_idstring | null
format: "uuid"
list_namestring | null
statusstring
total_rowsinteger
imported_rowsinteger
invalid_rowsinteger
error_summaryarray
各項目string
consent_confirmedboolean
consent_confirmed_atstring | null
format: "date-time"
processed_rowsinteger
attempt_countinteger
last_error_codestring | null
created_atstring
format: "date-time"
completed_atstring | null
format: "date-time"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/imports' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/contacts/imports
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
filenamestring必須
minLength: 1 · maxLength: 500
list_idstring
format: "uuid"
consent_confirmedboolean
インポートする行に購読登録がある場合は必須。
rowsarray必須
minItems: 1 · maxItems: 5000
各項目object
emailstring必須
format: "email"
display_namestring
maxLength: 1000
statusstring
enum: "subscribed", "unsubscribed", "bounced", "complained"
attributesobject
追加プロパティ任意の値
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
statusstring必須
enum: "queued"
total_rowsinteger必須
imported_rowsinteger必須
invalid_rowsinteger必須
list_idstring | null必須
format: "uuid"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/imports' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"filename": "example",
"list_id": "00000000-0000-4000-8000-000000000001",
"consent_confirmed": true,
"rows": [
{
"email": "person@example.com",
"display_name": "example",
"status": "subscribed",
"attributes": {}
}
]
}'
PATCH/v1/workspaces/{workspaceId}/contacts/{contactId}/attributes
contacts:writeとcontacts:readが必要です。既存の連絡先のみ更新します。省略属性は維持し、明示的なfalseは保存、nullはフィールドを削除します。検証済みのソース事実を指定してください。データの欠落はfalseではありません。購読、送信抑止、ID、ソース履歴は変更しません。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
attributesobject必須
追加プロパティ任意の値
成功レスポンス 200
現在の連絡先の読み戻し。この変更が適用済みの場合、replayedはtrueです。
application/json
curlの例
curl --request PATCH --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/{contactId}/attributes' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"attributes": {}
}'
POST/v1/workspaces/{workspaceId}/contacts/upsert
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
emailstring必須
format: "email" · maxLength: 320
display_namestring
minLength: 0 · maxLength: 1000
attributesobject
追加プロパティ任意の値
statusstring必須
enum: "subscribed", "unsubscribed", "bounced", "complained"
consent_evidenceobject
追加プロパティなし
sourcestring
minLength: 1 · maxLength: 2000
referencestring
minLength: 1 · maxLength: 2000
observed_atstring
format: "date-time"
statementstring
minLength: 1 · maxLength: 2000
consent_confirmedboolean
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
data未指定必須
allOf 1object
idstring必須
format: "uuid"
emailstring必須
format: "email"
display_namestring | null必須
attributesobject必須
追加プロパティ任意の値
statusstring必須
enum: "subscribed", "unsubscribed", "bounced", "complained"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
suppressedboolean必須
suppression_reasonstring | null必須
sourcesarray必須
各項目object
kindstring必須
referencestring必須
connection_idstring | null必須
format: "uuid"
metadataobject必須
追加プロパティ任意の値
first_seen_atstring必須
format: "date-time"
last_seen_atstring必須
format: "date-time"
listsarray必須
各項目object
idstring必須
format: "uuid"
namestring必須
subscription_statusstring必須
consent_evidencearray必須
各項目object
kindstring必須
referencestring必須
connection_idstring | null必須
format: "uuid"
metadataobject必須
追加プロパティ任意の値
first_seen_atstring必須
format: "date-time"
last_seen_atstring必須
format: "date-time"
allOf 2object
replayedboolean必須
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/upsert' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"email": "person@example.com",
"display_name": "example",
"attributes": {},
"status": "subscribed",
"consent_evidence": {
"source": "example",
"reference": "example",
"observed_at": "2026-01-01T00:00:00Z",
"statement": "example"
},
"consent_confirmed": true
}'
POST/v1/workspaces/{workspaceId}/contacts/import-validation
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
rowsarray必須
minItems: 1 · maxItems: 5000
各項目object
追加プロパティなし
emailstring必須
format: "email" · maxLength: 320
display_namestring
minLength: 0 · maxLength: 1000
attributesobject
追加プロパティ任意の値
statusstring必須
enum: "subscribed", "unsubscribed", "bounced", "complained"
consent_evidenceobject
追加プロパティなし
sourcestring
minLength: 1 · maxLength: 2000
referencestring
minLength: 1 · maxLength: 2000
observed_atstring
format: "date-time"
statementstring
minLength: 1 · maxLength: 2000
consent_confirmedboolean
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
dataobject必須
validboolean必須
total_rowsinteger必須
valid_rowsinteger必須
errorsarray必須
各項目object
rowinteger必須
codestring必須
messagestring必須
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/import-validation' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{
"rows": [
{
"email": "person@example.com",
"display_name": "example",
"attributes": {},
"status": "subscribed",
"consent_evidence": {
"source": "example",
"reference": "example",
"observed_at": "2026-01-01T00:00:00Z",
"statement": "example"
}
}
],
"consent_confirmed": true
}'
GET/v1/workspaces/{workspaceId}/contacts/imports/{importId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
dataobject必須
idstring
format: "uuid"
filenamestring
list_idstring | null
format: "uuid"
list_namestring | null
statusstring
total_rowsinteger
imported_rowsinteger
invalid_rowsinteger
error_summaryarray
各項目string
consent_confirmedboolean
consent_confirmed_atstring | null
format: "date-time"
processed_rowsinteger
attempt_countinteger
last_error_codestring | null
created_atstring
format: "date-time"
completed_atstring | null
format: "date-time"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/imports/{importId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001'
GET/v1/workspaces/{workspaceId}/contacts/fields
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目string
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/fields' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/contacts/import-mapping
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
mappingobject必須
columnsarray必須
各項目object
columnstring必須
targetstring必須
enum: "email", "display_name", "first_name", "last_name", "locale", "time_zone", "status", "unsubscribed_flag", "subscribed_flag", "field", "ignore"
field_keystring
field_typestring
enum: "text", "number", "boolean", "date", "choice", "choices"
confidencenumber必須
sourcestring必須
enum: "saved", "ai", "rules", "person"
alternativesarray
各項目object
さらに深い入れ子は省略
locale_valuesobject必須
追加プロパティstring | null
reviewobject必須
neededboolean必須
reasonsarray必須
各項目string
columnsarray必須
各項目string
sourcestring必須
enum: "saved", "ai", "rules"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/contacts/import-mapping' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"filename": "example",
"columns": [
{
"name": "example",
"samples": [
"example"
],
"filled": 0,
"rows": 0
}
]
}'
オーディエンス
POST/v1/workspaces/{workspaceId}/audience/lists
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/lists' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"description": "example"
}'
GET/v1/workspaces/{workspaceId}/audience/lists/{listId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/lists/{listId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001'
POST/v1/workspaces/{workspaceId}/audience/lists/{listId}/members
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
contact_idsarray必須
maxItems: 1000
各項目string
format: "uuid"
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/lists/{listId}/members' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
]
}'
DELETE/v1/workspaces/{workspaceId}/audience/lists/{listId}/members
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
contact_idsarray必須
maxItems: 1000
各項目string
format: "uuid"
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
curlの例
curl --request DELETE --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/lists/{listId}/members' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
]
}'
POST/v1/workspaces/{workspaceId}/audience/segments
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
namestring必須
minLength: 1 · maxLength: 200
filterobject必須
追加プロパティなし
statusstring
enum: "subscribed", "unsubscribed", "bounced", "complained"
attributesobject
追加プロパティ任意の値
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
data未指定必須
allOf 1未指定
allOf 1object
idstring必須
format: "uuid"
namestring必須
filterobject必須
条件は宣言済み連絡先フィールドを参照し、型に対応する演算子を使う必要があります。setとnot_setではvalueを省略し、within_daysは1–3650日を使います。
追加プロパティなし
statusstring
enum: "subscribed", "unsubscribed", "bounced", "complained"
attributesobject
追加プロパティ任意の値
conditionsarray
maxItems: 20
各項目object
さらに深い入れ子は省略
matchstring
enum: "all", "any"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
allOf 2object
countinteger必須
missing_consent_evidence_countinteger必須
samplearray必須
各項目object
idstring必須
format: "uuid"
さらに深い入れ子は省略
emailstring必須
さらに深い入れ子は省略
display_namestring | null必須
さらに深い入れ子は省略
attributesobject必須
さらに深い入れ子は省略
excludedobject必須
suppressedinteger必須
not_subscribedinteger必須
missing_recipient_hashinteger必須
missing_consent_evidenceinteger必須
allOf 2object
replayedboolean必須
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/segments' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001' \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"filter": {
"status": "subscribed",
"attributes": {}
}
}'
GET/v1/workspaces/{workspaceId}/audience/segments/{segmentId}/preview
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
data未指定必須
allOf 1object
idstring必須
format: "uuid"
namestring必須
filterobject必須
条件は宣言済み連絡先フィールドを参照し、型に対応する演算子を使う必要があります。setとnot_setではvalueを省略し、within_daysは1–3650日を使います。
追加プロパティなし
statusstring
enum: "subscribed", "unsubscribed", "bounced", "complained"
attributesobject
追加プロパティ任意の値
conditionsarray
maxItems: 20
各項目object
fieldstring必須
さらに深い入れ子は省略
opstring必須
enum: "is", "is_not", "contains", "set", "not_set", "gt", "gte", "lt", "lte", "within_days", "any_of", "includes"
さらに深い入れ子は省略
value未指定
さらに深い入れ子は省略
matchstring
enum: "all", "any"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
allOf 2object
countinteger必須
missing_consent_evidence_countinteger必須
samplearray必須
各項目object
idstring必須
format: "uuid"
emailstring必須
display_namestring | null必須
attributesobject必須
追加プロパティ任意の値
excludedobject必須
suppressedinteger必須
not_subscribedinteger必須
missing_recipient_hashinteger必須
missing_consent_evidenceinteger必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/segments/{segmentId}/preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001'
GET/v1/workspaces/{workspaceId}/audience/approvals
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
dataarray必須
各項目未指定
allOf 1object
idstring必須
format: "uuid"
requested_by_actor_idstring必須
action_kindstring必須
summarystring必須
capability_scopesarray必須
各項目string
resource_scopeobject必須
追加プロパティarray
各項目string
さらに深い入れ子は省略
payloadobject必須
追加プロパティ任意の値
payload_sha256string必須
pattern: "^[0-9a-f]{64}$"
statusstring必須
enum: "pending", "approved", "rejected", "cancelled", "expired"
missedboolean必須
expires_atstring必須
format: "date-time"
decided_by_actor_idstring | null
decision_reasonstring | null
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
decided_atstring | null
format: "date-time"
execution_job_idstring
format: "uuid"
reviewobject
追加プロパティなし
dispositionstring必須
enum: "automatic", "human_required"
recipient_countinteger | null必須
minimum: 0
reasonsarray必須
各項目string
さらに深い入れ子は省略
checksarray必須
各項目string
さらに深い入れ子は省略
allOf 2object
approval_idstring必須
format: "uuid"
broadcast_idstring | null必須
format: "uuid"
import_idstring | null必須
format: "uuid"
blockersarray必須
各項目object
codestring必須
さらに深い入れ子は省略
messagestring必須
さらに深い入れ子は省略
executionsarray必須
各項目object
idstring必須
format: "uuid"
さらに深い入れ子は省略
statusstring必須
さらに深い入れ子は省略
resultobject必須
さらに深い入れ子は省略
error_codestring | null必須
さらに深い入れ子は省略
execution_job_idsarray必須
各項目string
format: "uuid"
execution_statusstring必須
enum: "completed", "failed", "queued", "awaiting_review", "not_queued"
human_review_urlstring | null必須
human_review_instructionstring | null必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/approvals?status=pending' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001'
GET/v1/workspaces/{workspaceId}/audience/approvals/{approvalId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
data未指定必須
allOf 1object
idstring必須
format: "uuid"
requested_by_actor_idstring必須
action_kindstring必須
summarystring必須
capability_scopesarray必須
各項目string
resource_scopeobject必須
追加プロパティarray
各項目string
payloadobject必須
追加プロパティ任意の値
payload_sha256string必須
pattern: "^[0-9a-f]{64}$"
statusstring必須
enum: "pending", "approved", "rejected", "cancelled", "expired"
missedboolean必須
expires_atstring必須
format: "date-time"
decided_by_actor_idstring | null
decision_reasonstring | null
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
decided_atstring | null
format: "date-time"
execution_job_idstring
format: "uuid"
reviewobject
追加プロパティなし
dispositionstring必須
enum: "automatic", "human_required"
recipient_countinteger | null必須
minimum: 0
reasonsarray必須
各項目string
checksarray必須
各項目string
allOf 2object
approval_idstring必須
format: "uuid"
broadcast_idstring | null必須
format: "uuid"
import_idstring | null必須
format: "uuid"
blockersarray必須
各項目object
codestring必須
messagestring必須
executionsarray必須
各項目object
idstring必須
format: "uuid"
statusstring必須
resultobject必須
追加プロパティ任意の値
error_codestring | null必須
execution_job_idsarray必須
各項目string
format: "uuid"
execution_statusstring必須
enum: "completed", "failed", "queued", "awaiting_review", "not_queued"
human_review_urlstring | null必須
human_review_instructionstring | null必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/audience/approvals/{approvalId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'X-Banger-Product-Id: 00000000-0000-4000-8000-000000000001'
GET/v1/workspaces/{workspaceId}/signup-forms
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
public_idstring必須
pattern: "^f_[a-z0-9]{16}$"
namestring必須
kindstring必須
enum: "inline", "popup", "bar", "slide_in", "page"
list_idstring必須
format: "uuid"
list_namestring必須
mailbox_idstring | null必須
format: "uuid"
double_opt_inboolean必須
configobject必須
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
さらに深い入れ子は省略
labelstring必須
minLength: 1 · maxLength: 80
さらに深い入れ子は省略
typestring
default: "text" · enum: "text", "select", "checkbox"
さらに深い入れ子は省略
requiredboolean
default: false
さらに深い入れ子は省略
placeholderstring
maxLength: 80
さらに深い入れ子は省略
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
さらに深い入れ子は省略
statusstring必須
enum: "active", "paused", "archived"
viewsinteger必須
submissionsinteger必須
confirmationsinteger必須
subscribersinteger必須
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
hosted_urlstring必須
embed_codestring必須
embed_slotstring必須
open_buttonstring必須
conversion_ratenumber必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms?include_archived=true' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/signup-forms
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring
maxLength: 200
kindstring
default: "inline" · enum: "inline", "popup", "bar", "slide_in", "page"
list_idstring
format: "uuid"
list_namestring
maxLength: 200
mailbox_idstring | null
format: "uuid"
double_opt_inboolean
default: true
configobject
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring
format: "uuid"
product_idstring
format: "uuid"
public_idstring
pattern: "^f_[a-z0-9]{16}$"
namestring
kindstring
enum: "inline", "popup", "bar", "slide_in", "page"
list_idstring
format: "uuid"
list_namestring
mailbox_idstring | null
format: "uuid"
double_opt_inboolean
configobject
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
さらに深い入れ子は省略
statusstring
enum: "active", "paused", "archived"
viewsinteger
submissionsinteger
confirmationsinteger
subscribersinteger
versioninteger
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
hosted_urlstring
embed_codestring
embed_slotstring
open_buttonstring
conversion_ratenumber
replayedboolean
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"kind": "inline",
"list_id": "00000000-0000-4000-8000-000000000001",
"list_name": "example",
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"double_opt_in": true,
"config": {
"eyebrow": "example",
"headline": "example",
"body": "example",
"button_label": "example",
"email_placeholder": "example",
"name_placeholder": "example",
"fine_print": "example",
"incentive": "example",
"success_headline": "example",
"success_body": "example",
"redirect_url": "example",
"image_url": "example",
"art": "arcs",
"style": "",
"count_noun": "example",
"confirm_promise": "example",
"locale": "example",
"collect_name": true,
"show_logo": true,
"show_count": true,
"exit_intent": true,
"delay_seconds": 0,
"scroll_percent": 0,
"frequency_days": 0,
"image": "none",
"layout": "stacked",
"theme": "light",
"position": "bottom",
"fields": [
{
"key": "example",
"label": "example",
"type": "text",
"required": false,
"placeholder": "example",
"options": [
"example"
]
}
]
}
}'
GET/v1/workspaces/{workspaceId}/signup-forms/readiness
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms/readiness' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/signup-forms/preview
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
kindstring
enum: "inline", "popup", "bar", "slide_in", "page"
configobject
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
double_opt_inboolean
statestring
enum: "form", "success"
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
kindstring必須
enum: "inline", "popup", "bar", "slide_in", "page"
statestring必須
enum: "form", "success"
htmlstring必須
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms/preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "inline",
"config": {
"eyebrow": "example",
"headline": "example",
"body": "example",
"button_label": "example",
"email_placeholder": "example",
"name_placeholder": "example",
"fine_print": "example",
"incentive": "example",
"success_headline": "example",
"success_body": "example",
"redirect_url": "example",
"image_url": "example",
"art": "arcs",
"style": "",
"count_noun": "example",
"confirm_promise": "example",
"locale": "example",
"collect_name": true,
"show_logo": true,
"show_count": true,
"exit_intent": true,
"delay_seconds": 0,
"scroll_percent": 0,
"frequency_days": 0,
"image": "none",
"layout": "stacked",
"theme": "light",
"position": "bottom",
"fields": [
{
"key": "example",
"label": "example",
"type": "text",
"required": false,
"placeholder": "example",
"options": [
"example"
]
}
]
},
"double_opt_in": true,
"state": "form"
}'
GET/v1/workspaces/{workspaceId}/signup-forms/{formId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
public_idstring必須
pattern: "^f_[a-z0-9]{16}$"
namestring必須
kindstring必須
enum: "inline", "popup", "bar", "slide_in", "page"
list_idstring必須
format: "uuid"
list_namestring必須
mailbox_idstring | null必須
format: "uuid"
double_opt_inboolean必須
configobject必須
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
さらに深い入れ子は省略
statusstring必須
enum: "active", "paused", "archived"
viewsinteger必須
submissionsinteger必須
confirmationsinteger必須
subscribersinteger必須
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
hosted_urlstring必須
embed_codestring必須
embed_slotstring必須
open_buttonstring必須
conversion_ratenumber必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms/{formId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
PATCH/v1/workspaces/{workspaceId}/signup-forms/{formId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring
maxLength: 200
kindstring
default: "inline" · enum: "inline", "popup", "bar", "slide_in", "page"
list_idstring
format: "uuid"
list_namestring
maxLength: 200
mailbox_idstring | null
format: "uuid"
double_opt_inboolean
default: true
configobject
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
statusstring
enum: "active", "paused", "archived"
expected_versioninteger
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
public_idstring必須
pattern: "^f_[a-z0-9]{16}$"
namestring必須
kindstring必須
enum: "inline", "popup", "bar", "slide_in", "page"
list_idstring必須
format: "uuid"
list_namestring必須
mailbox_idstring | null必須
format: "uuid"
double_opt_inboolean必須
configobject必須
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
さらに深い入れ子は省略
statusstring必須
enum: "active", "paused", "archived"
viewsinteger必須
submissionsinteger必須
confirmationsinteger必須
subscribersinteger必須
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
hosted_urlstring必須
embed_codestring必須
embed_slotstring必須
open_buttonstring必須
conversion_ratenumber必須
replayedboolean必須
curlの例
curl --request PATCH --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms/{formId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Idempotency-Key: example' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"kind": "inline",
"list_id": "00000000-0000-4000-8000-000000000001",
"list_name": "example",
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"double_opt_in": true,
"config": {
"eyebrow": "example",
"headline": "example",
"body": "example",
"button_label": "example",
"email_placeholder": "example",
"name_placeholder": "example",
"fine_print": "example",
"incentive": "example",
"success_headline": "example",
"success_body": "example",
"redirect_url": "example",
"image_url": "example",
"art": "arcs",
"style": "",
"count_noun": "example",
"confirm_promise": "example",
"locale": "example",
"collect_name": true,
"show_logo": true,
"show_count": true,
"exit_intent": true,
"delay_seconds": 0,
"scroll_percent": 0,
"frequency_days": 0,
"image": "none",
"layout": "stacked",
"theme": "light",
"position": "bottom",
"fields": [
{
"key": "example",
"label": "example",
"type": "text",
"required": false,
"placeholder": "example",
"options": [
"example"
]
}
]
},
"status": "active",
"expected_version": 1
}'
POST/v1/workspaces/{workspaceId}/signup-forms/{formId}/preview
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
kindstring
enum: "inline", "popup", "bar", "slide_in", "page"
configobject
追加プロパティなし
eyebrowstring
maxLength: 60
headlinestring
minLength: 1 · maxLength: 140
bodystring
maxLength: 400
button_labelstring
minLength: 1 · maxLength: 40
email_placeholderstring
maxLength: 80
name_placeholderstring
maxLength: 60
fine_printstring
maxLength: 160
incentivestring
maxLength: 160
success_headlinestring
maxLength: 120
success_bodystring
maxLength: 400
redirect_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
image_urlstring
maxLength: 2000 · pattern: "^(|https://[^\\s\"'<>]+)$"
artstring
enum: "arcs", "blocks", "horizon", "confetti", "frame", "bands", "dots"
stylestring
enum: "", "brand", "material", "clarity", "editorial", "bold", "luxe", "playful", "plain"
count_nounstring
maxLength: 30
confirm_promisestring
maxLength: 200
localestring
collect_nameboolean
show_logoboolean
show_countboolean
exit_intentboolean
delay_secondsinteger
minimum: 0 · maximum: 600
scroll_percentinteger
minimum: 0 · maximum: 100
frequency_daysinteger
minimum: 0 · maximum: 365
imagestring
enum: "none", "photo", "art"
layoutstring
enum: "stacked", "split"
themestring
enum: "light", "dark", "brand", "auto"
positionstring
enum: "bottom", "top", "right", "left"
fieldsarray
maxItems: 6
各項目object
選択式質問には選択肢が必要です。他の質問型では選択肢を指定できません。キーは一意で、予約フォームフィールドを使えません。省略キーはラベルから生成します。
追加プロパティなし
keystring
pattern: "^[a-z][a-z0-9_]{0,39}$"
labelstring必須
minLength: 1 · maxLength: 80
typestring
default: "text" · enum: "text", "select", "checkbox"
requiredboolean
default: false
placeholderstring
maxLength: 80
optionsarray
minItems: 1 · maxItems: 20 · uniqueItems: true
各項目string
minLength: 1 · maxLength: 80
double_opt_inboolean
statestring
enum: "form", "success"
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
kindstring必須
enum: "inline", "popup", "bar", "slide_in", "page"
statestring必須
enum: "form", "success"
htmlstring必須
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/signup-forms/{formId}/preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "inline",
"config": {
"eyebrow": "example",
"headline": "example",
"body": "example",
"button_label": "example",
"email_placeholder": "example",
"name_placeholder": "example",
"fine_print": "example",
"incentive": "example",
"success_headline": "example",
"success_body": "example",
"redirect_url": "example",
"image_url": "example",
"art": "arcs",
"style": "",
"count_noun": "example",
"confirm_promise": "example",
"locale": "example",
"collect_name": true,
"show_logo": true,
"show_count": true,
"exit_intent": true,
"delay_seconds": 0,
"scroll_percent": 0,
"frequency_days": 0,
"image": "none",
"layout": "stacked",
"theme": "light",
"position": "bottom",
"fields": [
{
"key": "example",
"label": "example",
"type": "text",
"required": false,
"placeholder": "example",
"options": [
"example"
]
}
]
},
"double_opt_in": true,
"state": "form"
}'
テンプレート
GET/v1/workspaces/{workspaceId}/templates
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
subjectstring必須
body_textstring必須
contentobject必須
追加プロパティstring
slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
statusstring必須
enum: "active", "archived"
originstring必須
enum: "person", "agent", "starter", "import"
created_by_actor_idstring | null
campaign_idstring | null
format: "uuid"
message_kindstring
starter_idstring | null
starter_versioninteger | null
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/templates
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring必須
minLength: 1 · maxLength: 200
subjectstring
maxLength: 10000
body_textstring
maxLength: 2000000
body_htmlstring
maxLength: 2000000
contentobject
追加プロパティstring
slotsarray
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
originstring
enum: "person", "agent", "starter", "import"
message_kindstring
starter_idstring
maxLength: 80
starter_versioninteger
minimum: 1
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
subjectstring必須
body_textstring必須
contentobject必須
追加プロパティstring
slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
statusstring必須
enum: "active", "archived"
originstring必須
enum: "person", "agent", "starter", "import"
created_by_actor_idstring | null
campaign_idstring | null
format: "uuid"
message_kindstring
starter_idstring | null
starter_versioninteger | null
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"subject": "example",
"body_text": "example",
"body_html": "example",
"content": {},
"slots": [
{
"key": "example",
"label": "example",
"type": "text",
"help": "example"
}
],
"origin": "person",
"message_kind": "example",
"starter_id": "example",
"starter_version": 1
}'
POST/v1/workspaces/{workspaceId}/templates/preview
未保存のデザインをサンプル値またはオーディエンス値でレンダリングし、プレースホルダーの不足を報告します。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
subjectstring必須
body_textstring必須
body_htmlstring
font_renderingarray必須
各項目object
stackstring必須
fontstring必須
web_fontboolean必須
clientsarray必須
各項目object
clientstring必須
さらに深い入れ子は省略
labelstring必須
さらに深い入れ子は省略
fontstring必須
さらに深い入れ子は省略
web_fontboolean必須
さらに深い入れ子は省略
fallbackboolean必須
さらに深い入れ子は省略
sample_recipient未指定必須
anyOf 1object
emailstring必須
display_namestring | null必須
anyOf 2null
required_variablesarray必須
各項目string
effective_slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
audience_countinteger
gapsarray
各項目object
variablestring必須
missing_countinteger必須
sample_emailsarray必須
各項目string
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates/preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"subject": "example",
"body_text": "example",
"body_html": "example",
"content": {},
"audience": {
"all_subscribed": true,
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
],
"list_ids": [
"00000000-0000-4000-8000-000000000001"
],
"segment_ids": [
"00000000-0000-4000-8000-000000000001"
]
},
"sample_email": "example"
}'
GET/v1/workspaces/{workspaceId}/templates/{templateId}
1つのデザインとインラインHTML、差し込みコンテンツ、有効なスロット。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
subjectstring必須
body_textstring必須
contentobject必須
追加プロパティstring
slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
statusstring必須
enum: "active", "archived"
originstring必須
enum: "person", "agent", "starter", "import"
created_by_actor_idstring | null
campaign_idstring | null
format: "uuid"
message_kindstring
starter_idstring | null
starter_versioninteger | null
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates/{templateId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
PATCH/v1/workspaces/{workspaceId}/templates/{templateId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring
maxLength: 200
subjectstring
maxLength: 10000
body_textstring
maxLength: 2000000
body_htmlstring
minLength: 1 · maxLength: 2000000
contentobject
追加プロパティstring
maxLength: 20000
slotsarray
maxItems: 100
各項目object
keystring必須
maxLength: 200
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
statusstring
enum: "active", "archived"
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
subjectstring必須
body_textstring必須
contentobject必須
追加プロパティstring
slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
statusstring必須
enum: "active", "archived"
originstring必須
enum: "person", "agent", "starter", "import"
created_by_actor_idstring | null
campaign_idstring | null
format: "uuid"
message_kindstring
starter_idstring | null
starter_versioninteger | null
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request PATCH --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates/{templateId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"subject": "example",
"body_text": "example",
"body_html": "example",
"content": {},
"slots": [
{
"key": "example",
"label": "example",
"type": "text",
"help": "example"
}
],
"status": "active"
}'
POST/v1/workspaces/{workspaceId}/templates/{templateId}/duplicate
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring
maxLength: 200
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
subjectstring必須
body_textstring必須
contentobject必須
追加プロパティstring
slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
statusstring必須
enum: "active", "archived"
originstring必須
enum: "person", "agent", "starter", "import"
created_by_actor_idstring | null
campaign_idstring | null
format: "uuid"
message_kindstring
starter_idstring | null
starter_versioninteger | null
versioninteger必須
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
body_html_urlstring
format: "uri"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates/{templateId}/duplicate' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example"
}'
POST/v1/workspaces/{workspaceId}/templates/{templateId}/preview
保存デザインをサンプル値またはオーディエンス値でレンダリングし、プレースホルダーの不足を報告します。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
subjectstring必須
body_textstring必須
body_htmlstring
font_renderingarray必須
各項目object
stackstring必須
fontstring必須
web_fontboolean必須
clientsarray必須
各項目object
clientstring必須
さらに深い入れ子は省略
labelstring必須
さらに深い入れ子は省略
fontstring必須
さらに深い入れ子は省略
web_fontboolean必須
さらに深い入れ子は省略
fallbackboolean必須
さらに深い入れ子は省略
sample_recipient未指定必須
anyOf 1object
emailstring必須
display_namestring | null必須
anyOf 2null
required_variablesarray必須
各項目string
effective_slotsarray必須
各項目object
keystring必須
pattern: "^[A-Za-z0-9_$.-]{1,200}$"
labelstring
maxLength: 120
typestring
enum: "text", "paragraph", "url", "image"
helpstring
maxLength: 300
audience_countinteger
gapsarray
各項目object
variablestring必須
missing_countinteger必須
sample_emailsarray必須
各項目string
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates/{templateId}/preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"content": {},
"audience": {
"all_subscribed": true,
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
],
"list_ids": [
"00000000-0000-4000-8000-000000000001"
],
"segment_ids": [
"00000000-0000-4000-8000-000000000001"
]
},
"sample_email": "example"
}'
GET/v1/workspaces/{workspaceId}/templates/{templateId}/html
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
スクリプトなしのHTMLメールテンプレート本文。
text/html
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/templates/{templateId}/html' \
--header "Authorization: Bearer $BANGER_API_KEY"
キャンペーン
POST/v1/workspaces/{workspaceId}/campaigns/coverage-preview
一斉配信を保存する前に確認する、オーディエンスが埋められない必須プレースホルダー。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
成功レスポンス。
application/json
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/coverage-preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"subject": "example",
"body_text": "example",
"body_html": "example",
"content": {},
"audience": {
"all_subscribed": true,
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
],
"list_ids": [
"00000000-0000-4000-8000-000000000001"
],
"segment_ids": [
"00000000-0000-4000-8000-000000000001"
]
},
"sample_email": "example",
"template_id": "00000000-0000-4000-8000-000000000001"
}'
GET/v1/workspaces/{workspaceId}/campaigns
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
mailbox_idstring
format: "uuid"
template_idstring | null
format: "uuid"
managed_content_idstring | null
format: "uuid"
managed_source_revision_idstring | null
format: "uuid"
managed_publication_idstring | null
format: "uuid"
managed_locales_snapshotarray
各項目string
expires_after_secondsinteger | null
statusstring必須
versioninteger必須
subject_variantsarray
各項目string
selected_subject_variantinteger
content_overridesobject
追加プロパティstring
audience_queryobject
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
audience_frozen_atstring | null
format: "date-time"
audience_recipient_countinteger | null
audience_snapshot_sha256string | null
audience_snapshot_campaign_versioninteger | null
scheduled_atstring | null
format: "date-time"
started_atstring | null
format: "date-time"
completed_atstring | null
format: "date-time"
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
archived_atstring | null
format: "date-time"
statsobject
追加プロパティ任意の値
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 201
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
mailbox_idstring
format: "uuid"
template_idstring | null
format: "uuid"
managed_content_idstring | null
format: "uuid"
managed_source_revision_idstring | null
format: "uuid"
managed_publication_idstring | null
format: "uuid"
managed_locales_snapshotarray
各項目string
expires_after_secondsinteger | null
statusstring必須
versioninteger必須
subject_variantsarray
各項目string
selected_subject_variantinteger
content_overridesobject
追加プロパティstring
audience_queryobject
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
audience_frozen_atstring | null
format: "date-time"
audience_recipient_countinteger | null
audience_snapshot_sha256string | null
audience_snapshot_campaign_versioninteger | null
scheduled_atstring | null
format: "date-time"
started_atstring | null
format: "date-time"
completed_atstring | null
format: "date-time"
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
archived_atstring | null
format: "date-time"
statsobject
追加プロパティ任意の値
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"template_id": "00000000-0000-4000-8000-000000000001",
"subject_variants": [
"example"
],
"selected_subject_variant": 0,
"audience": {
"all_subscribed": false,
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
],
"list_ids": [
"00000000-0000-4000-8000-000000000001"
],
"segment_ids": [
"00000000-0000-4000-8000-000000000001"
]
}
}'
POST/v1/workspaces/{workspaceId}/campaigns/audience-preview
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
countinteger必須
missing_consent_evidence_countinteger必須
samplearray必須
各項目object
idstring必須
format: "uuid"
emailstring必須
display_namestring | null必須
attributesobject必須
追加プロパティ任意の値
excludedobject必須
suppressedinteger必須
not_subscribedinteger必須
missing_recipient_hashinteger必須
missing_consent_evidenceinteger必須
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/audience-preview' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"audience": {
"all_subscribed": true,
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
],
"list_ids": [
"00000000-0000-4000-8000-000000000001"
],
"segment_ids": [
"00000000-0000-4000-8000-000000000001"
]
}
}'
GET/v1/workspaces/{workspaceId}/campaigns/{campaignId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
mailbox_idstring
format: "uuid"
template_idstring | null
format: "uuid"
managed_content_idstring | null
format: "uuid"
managed_source_revision_idstring | null
format: "uuid"
managed_publication_idstring | null
format: "uuid"
managed_locales_snapshotarray
各項目string
expires_after_secondsinteger | null
statusstring必須
versioninteger必須
subject_variantsarray
各項目string
selected_subject_variantinteger
content_overridesobject
追加プロパティstring
audience_queryobject
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
audience_frozen_atstring | null
format: "date-time"
audience_recipient_countinteger | null
audience_snapshot_sha256string | null
audience_snapshot_campaign_versioninteger | null
scheduled_atstring | null
format: "date-time"
started_atstring | null
format: "date-time"
completed_atstring | null
format: "date-time"
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
archived_atstring | null
format: "date-time"
statsobject
追加プロパティ任意の値
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
PATCH/v1/workspaces/{workspaceId}/campaigns/{campaignId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
mailbox_idstring
format: "uuid"
template_idstring | null
format: "uuid"
managed_content_idstring | null
format: "uuid"
managed_source_revision_idstring | null
format: "uuid"
managed_publication_idstring | null
format: "uuid"
managed_locales_snapshotarray
各項目string
expires_after_secondsinteger | null
statusstring必須
versioninteger必須
subject_variantsarray
各項目string
selected_subject_variantinteger
content_overridesobject
追加プロパティstring
audience_queryobject
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
audience_frozen_atstring | null
format: "date-time"
audience_recipient_countinteger | null
audience_snapshot_sha256string | null
audience_snapshot_campaign_versioninteger | null
scheduled_atstring | null
format: "date-time"
started_atstring | null
format: "date-time"
completed_atstring | null
format: "date-time"
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
archived_atstring | null
format: "date-time"
statsobject
追加プロパティ任意の値
curlの例
curl --request PATCH --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"template_id": "00000000-0000-4000-8000-000000000001",
"subject_variants": [
"example"
],
"selected_subject_variant": 0,
"audience": {}
}'
DELETE/v1/workspaces/{workspaceId}/campaigns/{campaignId}
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
deletedboolean必須
const: true
curlの例
curl --request DELETE --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}' \
--header "Authorization: Bearer $BANGER_API_KEY"
GET/v1/workspaces/{workspaceId}/campaigns/{campaignId}/recipients
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
contact_idstring | null
format: "uuid"
recipient_emailstring
recipient_namestring | null
recipient_hashstring
statusstring
dispatch_statusstring
command_idstring | null
format: "uuid"
error_codestring | null
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
delivery_statestring | null
provider_message_keystring | null
last_event_atstring | null
format: "date-time"
first_delivered_atstring | null
format: "date-time"
first_opened_atstring | null
format: "date-time"
first_clicked_atstring | null
format: "date-time"
first_human_likely_opened_atstring | null
format: "date-time"
first_human_likely_clicked_atstring | null
format: "date-time"
first_replied_atstring | null
format: "date-time"
machine_open_countinteger
machine_click_countinteger
privacy_proxy_open_countinteger
unknown_open_countinteger
unknown_click_countinteger
first_unsubscribed_atstring | null
format: "date-time"
pageobject必須
next_cursorstring
has_moreboolean必須
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/recipients?cursor=example&limit=50&status=pending' \
--header "Authorization: Bearer $BANGER_API_KEY"
GET/v1/workspaces/{workspaceId}/campaigns/{campaignId}/timeline
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataarray必須
各項目object
idstring必須
typestring必須
occurred_atstring必須
format: "date-time"
actor_idstring | null必須
detailobject必須
追加プロパティ任意の値
curlの例
curl --request GET --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/timeline' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/pause
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
namestring必須
mailbox_idstring必須
format: "uuid"
template_idstring | null必須
format: "uuid"
statusstring必須
audience_queryobject必須
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
scheduled_atstring | null必須
format: "date-time"
started_atstring | null必須
format: "date-time"
completed_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/pause' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/resume
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
namestring必須
mailbox_idstring必須
format: "uuid"
template_idstring | null必須
format: "uuid"
statusstring必須
audience_queryobject必須
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
scheduled_atstring | null必須
format: "date-time"
started_atstring | null必須
format: "date-time"
completed_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/resume' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/cancel
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
namestring必須
mailbox_idstring必須
format: "uuid"
template_idstring | null必須
format: "uuid"
statusstring必須
audience_queryobject必須
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
scheduled_atstring | null必須
format: "date-time"
started_atstring | null必須
format: "date-time"
completed_atstring | null必須
format: "date-time"
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/cancel' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/schedule
非推奨
非推奨の直接予約境界。常にgoverned_review_requiredを返します。ワークスペースの受信者閾値を適用するため、キャンペーンレビューのエンドポイントを使ってください。
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス
契約に成功レスポンスの指定はありません。
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/schedule' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/test
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
tostring必須
minLength: 3 · maxLength: 320
data_modestring
default: "contact" · enum: "sample", "fallback", "contact"
contact_emailstring
maxLength: 320
variant_keystring
maxLength: 80
localestring
成功レスポンス 202
成功レスポンス。
application/json
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/test' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Idempotency-Key: examplexxxxxxxxx' \
--header 'Content-Type: application/json' \
--data-raw '{
"to": "example",
"data_mode": "contact",
"contact_email": "example",
"variant_key": "example",
"locale": "example"
}'
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/review
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
expected_versioninteger
minimum: 1
expected_design_versioninteger
minimum: 1
recipient_selectionobject
追加プロパティなし
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
scheduled_atstring
format: "date-time"
send_nowboolean
const: true
approve_as_launcherboolean
レビューポリシーが人を必要とする場合、送信を押した人がこの正確なリクエストを承認します。APIキーとエージェントでは無視され、承認で待機します。
oneOf 1未指定
oneOf 2未指定
成功レスポンス 201
キャンペーン予約の承認を作成しました。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
requested_by_actor_idstring必須
action_kindstring必須
summarystring必須
capability_scopesarray必須
各項目string
resource_scopeobject必須
追加プロパティarray
各項目string
payloadobject必須
追加プロパティ任意の値
payload_sha256string必須
pattern: "^[0-9a-f]{64}$"
statusstring必須
enum: "pending", "approved", "rejected", "cancelled", "expired"
missedboolean必須
expires_atstring必須
format: "date-time"
decided_by_actor_idstring | null
decision_reasonstring | null
created_atstring必須
format: "date-time"
updated_atstring必須
format: "date-time"
decided_atstring | null
format: "date-time"
execution_job_idstring
format: "uuid"
reviewobject
追加プロパティなし
dispositionstring必須
enum: "automatic", "human_required"
recipient_countinteger | null必須
minimum: 0
reasonsarray必須
各項目string
checksarray必須
各項目string
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/review' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Idempotency-Key: examplexxxxxxxxx' \
--header 'Content-Type: application/json' \
--data-raw '"example"'
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/archive
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/archive' \
--header "Authorization: Bearer $BANGER_API_KEY"
POST/v1/workspaces/{workspaceId}/campaigns/{campaignId}/unarchive
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文
契約にリクエスト本文の指定はありません。
成功レスポンス 200
成功レスポンス。
application/json
curlの例
curl --request POST --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/unarchive' \
--header "Authorization: Bearer $BANGER_API_KEY"
PUT/v1/workspaces/{workspaceId}/campaigns/{campaignId}/design-test
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
namestring必須
minLength: 1 · maxLength: 200
mailbox_idstring必須
format: "uuid"
audienceobject必須
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
automatic_translationboolean
variantsarray必須
minItems: 1 · maxItems: 4
各項目object
body_htmlstring必須
minLength: 1 · maxLength: 2000000
subjectstring
maxLength: 10000
body_textstring
maxLength: 2000000
contentobject
追加プロパティstring
成功レスポンス 200
成功レスポンス。
application/json
valueobject
dataobject必須
idstring必須
format: "uuid"
product_idstring
format: "uuid"
namestring必須
mailbox_idstring
format: "uuid"
template_idstring | null
format: "uuid"
managed_content_idstring | null
format: "uuid"
managed_source_revision_idstring | null
format: "uuid"
managed_publication_idstring | null
format: "uuid"
managed_locales_snapshotarray
各項目string
expires_after_secondsinteger | null
statusstring必須
versioninteger必須
subject_variantsarray
各項目string
selected_subject_variantinteger
content_overridesobject
追加プロパティstring
audience_queryobject
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
audience_frozen_atstring | null
format: "date-time"
audience_recipient_countinteger | null
audience_snapshot_sha256string | null
audience_snapshot_campaign_versioninteger | null
scheduled_atstring | null
format: "date-time"
started_atstring | null
format: "date-time"
completed_atstring | null
format: "date-time"
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
archived_atstring | null
format: "date-time"
statsobject
追加プロパティ任意の値
design_template_idstring必須
format: "uuid"
curlの例
curl --request PUT --globoff 'https://api.bangermail.com/v1/workspaces/{workspaceId}/campaigns/{campaignId}/design-test' \
--header "Authorization: Bearer $BANGER_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "example",
"mailbox_id": "00000000-0000-4000-8000-000000000001",
"audience": {
"all_subscribed": true,
"contact_ids": [
"00000000-0000-4000-8000-000000000001"
],
"list_ids": [
"00000000-0000-4000-8000-000000000001"
],
"segment_ids": [
"00000000-0000-4000-8000-000000000001"
]
},
"automatic_translation": true,
"variants": [
{
"body_html": "example",
"subject": "example",
"body_text": "example",
"content": {}
}
]
}'
一斉配信
POST/v1/workspaces/{workspaceId}/broadcasts
認証: BearerワークスペースAPIキー。
パラメーター
リクエスト本文 必須
application/json
valueobject
追加プロパティなし
namestring必須
minLength: 1 · maxLength: 200
mailbox_idstring
既存の送信者アドレス。省略するとオンボーディングの送信者、次に有効な独自メールボックス、次にホスト型を使います。
format: "uuid"
template_idstring
format: "uuid"
audienceobject
追加プロパティなし
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
subject_variantsarray
maxItems: 8
各項目string
minLength: 1 · maxLength: 998
selected_subject_variantinteger
minimum: 0 · maximum: 7
expires_after_secondsinteger
予約日時からこの秒数後に未送信受信者を破棄します。既定は7日です。
minimum: 1 · maximum: 604800
content_overridesobject
追加プロパティstring
maxLength: 20000
成功レスポンス 200
正規の読み戻し、または冪等な受領情報。プロバイダー受付はsentです。deliveredには配信イベントが必要で、受信トレイへの到達を証明するものではありません。
application/json
valueobject
data未指定必須
allOf 1未指定
allOf 1object
idstring必須
format: "uuid"
product_idstring必須
format: "uuid"
namestring必須
mailbox_idstring
format: "uuid"
template_idstring | null
format: "uuid"
managed_content_idstring | null
format: "uuid"
managed_source_revision_idstring | null
format: "uuid"
managed_publication_idstring | null
format: "uuid"
managed_locales_snapshotarray
各項目string
expires_after_secondsinteger | null
statusstring
versioninteger必須
subject_variantsarray
各項目string
selected_subject_variantinteger
content_overridesobject
追加プロパティstring
audience_queryobject
全購読連絡先、または空でないcontact_ids、list_ids、segment_idsのリストを少なくとも1つ選択します。
all_subscribedboolean
contact_idsarray
maxItems: 10000
各項目string
format: "uuid"
さらに深い入れ子は省略
list_idsarray
maxItems: 1000
各項目string
format: "uuid"
さらに深い入れ子は省略
segment_idsarray
maxItems: 1000
各項目string
format: "uuid"
さらに深い入れ子は省略
audience_frozen_atstring | null
format: "date-time"
audience_recipient_countinteger | null
audience_snapshot_sha256string | null
audience_snapshot_campaign_versioninteger | null
scheduled_atstring | null
format: "date-time"
started_atstring | null
format: "date-time"
completed_atstring | null
format: "date-time"
created_atstring
format: "date-time"
updated_atstring
format: "date-time"
archived_atstring | null
format: "date-time"
statsobject
追加プロパティ任意の値
broadcast_idstring必須
format: "uuid"
sender_addressstring | null必須
sending_blocker未指定必須
anyOf 1object
codestring必須
さらに深い入れ子は省略
messagestring必須
[...]
